/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* hide comment submit button */
#submit {
	display: none;
}

/* fix comment title margin */
.comments-area h3.comments-title {
	margin-top: 20px;
	font-size: 120%;
}

/*style wp-show-posts */
.wp-show-posts-inner {
    display: flex;
    align-items: center;
	background-color: #fbfbfb;
	border-radius: 10px;
	box-shadow: 0px 0px 8px #0077b3;
    text-align: center;
    padding: 10px 5px;
}
.wp-show-posts-inner:hover {
    background-color: #0077b3;
	box-shadow: 0px 0px 15px #0077b3;
		
}

.wp-show-posts-inner:hover .wp-show-posts-entry-header h2 a {
      color: #fff;
}
.wp-show-posts-entry-header h2 a {
      color: #0077b3;
}

a.wpsp-div-link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 90;
}
.wp-show-posts-inner {
    position: relative!important;
}

header.wp-show-posts-entry-header {
	width: 100%;
    margin: 0px;
}


/* fix some wp show posts stuff */
.wp-show-posts-columns .wp-show-posts-single:not(.wp-show-posts-masonry-block) {
    word-break: break-word;
}


.wp-show-posts-posted-on a time {
    display: none;
}

.wp-show-posts-posted-on a time:last-child {
    display: inline-block;
}


.textwidget p {
	margin-bottom: 0.5em;
}
/*
.entry-header .entry-meta span.cat-links {
    width: 100%;
    display: block;
}

.entry-header .entry-meta span.tags-links {
    width: 100%;
    display: block;
}
*/
.entry-header .gp-icon {
    display: inline;
}


.entry-header .entry-meta .entry-meta-author, .entry-header .entry-meta .entry-meta-date {
    font-family: monospace;
}


.wp-block-table table, .wp-block-table td, .wp-block-table th {
	border: none;
}

.wp-block-table table {
	border-collapse: collapse;
}

.wp-block-table table tr {
  border-bottom: 1px solid grey;
  }

.wp-block-table table tr:first-child {
  border-bottom: 3px solid #000;
  }

.wp-block-table table tr:last-child {
    border-bottom: none;
  }


/*shrink speedtest.net external hosted images */
img[src*="speedtest.net/result"] {
  width: 400px;
}

/*style Editorskit highlighted text because EK stylesheet dequed.*/
.has-inline-background {
    padding: .12em 4px;
    border-radius: 5px;
}
/*styles for EK group block link */
.ek-linked-block a.editorskit-block-link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 90;
}
.ek-linked-block {
    position: relative!important;
}

/*style table subheadings*/
.tablesub {
    font-size: 80%;
    color: #ff0000;
	line-height: 1.2;
	margin-bottom: 0px;
}

.wp-block-table table h3 {
	margin-bottom: 5px;
	font-size: 25px;
	font-weight: bold;
}

.box {
	border-width: 1px;
    border-color: #000000;
    border-style: solid;
	width: 80%;
	border-radius: 20px;
}
/*
.tfcoffer {
	border-radius: 20px;
	background-color: #f5f5f5;
	box-shadow: 0px 0px 4px 1px #d6d6d6;
}

.tfcoffer .wp-block-button a {
	color: #fff;
	background-color: #c8252c;
	border-radius: 15px;
	font-weight: bold;
	font-size: 120%;
}

.tfcoffer .wp-block-button a:hover {
	background-color: #dc4149;
}


.tfsbcoffer .wp-block-button a {
	color: #fff;
	background-color: #c8252c;
	border-radius: 15px;
	font-weight: bold;
	font-size: 120%;
}

.tfcsboffer .wp-block-button a:hover {
    background-color: #dc4149 !important;
	color: #fff; #added just now instead of making a new block like suggeseted
}


.tfcofferwhite {
	border-width: 2px;
	border-color: #000;
	border-style: solid;
	border-radius: 20px;
	background-color: #fff;
	margin-bottom: 40px;
}
*/
.tfcoffer {
	border-radius: 20px;
	background-color: #f5f5f5;
	box-shadow: 0 0 4px 1px #d6d6d6;
}

.tfcoffer .wp-block-button .wp-block-button__link {
	color: #fff !important;
	background-color: #c8252c;
	border-radius: 15px;
	font-weight: bold;
	font-size: 120%;
}

.tfcoffer .wp-block-button .wp-block-button__link:hover,
.tfcoffer .wp-block-button .wp-block-button__link:focus,
.tfcoffer .wp-block-button .wp-block-button__link:active {
	background-color: #dc4149 !important;
	color: #fff !important;
}

.tfsbcoffer .wp-block-button .wp-block-button__link {
	color: #fff !important;
	background-color: #c8252c;
	border-radius: 15px;
	font-weight: bold;
	font-size: 120%;
}

.tfsbcoffer .wp-block-button .wp-block-button__link:hover,
.tfsbcoffer .wp-block-button .wp-block-button__link:focus,
.tfsbcoffer .wp-block-button .wp-block-button__link:active {
	background-color: #dc4149 !important;
	color: #fff !important;
}

.tfcsboffer .wp-block-button .wp-block-button__link:hover,
.tfcsboffer .wp-block-button .wp-block-button__link:focus,
.tfcsboffer .wp-block-button .wp-block-button__link:active {
	background-color: #dc4149 !important;
	color: #fff !important;
}

.tfcofferwhite {
	border: 2px solid #000;
	border-radius: 20px;
	background-color: #fff;
	margin-bottom: 40px;
}

.tfcinfobox {
	background-color: #f5f5f5;
}

.tfcattnbox {
	border-style: solid;
}

.tfcinfobox p:last-child {
	margin-bottom: 0px;
}

.tfcattnbox .wp-block-group__inner-container {
    padding: 0px;
}

.tfcattnbox p {
	padding: 0px 38px;
}

.blackborder4 {
	border-width: 4px;
	border-color: #000;
	border-style: solid;
	border-radius: 20px;
}

.botmargin5 {
	margin-bottom: 5px;
}

.anchor:before { 
	content: '';
	display: block;
	position: relative;
	width: 0;
	height: 60px;
	margin-top: -60px 
}

#comments:before, #respond:before {
	content: '';
	display: block;
	position: relative;
	width: 0;
	height: 60px;
	margin-top: -60px 
}

body {
	//font-size: 30px;
}

/* Make last sidebar widget sticky */
@media (min-width: 991px) {
	.site-content {
 		display: flex;
 	}
	.inside-right-sidebar {
 		height: 100%;
 	}
	.inside-right-sidebar aside:last-child {
 		position: -webkit-sticky;
 		position: sticky;
 		top: 70px;
 	}
 }

/* Sticky menu */
.main-navigation {
	position: -webkit-sticky;
  	position: sticky;
  	top: -1px;
}



.footer-bar .custom-html-widget li {
    display: inline-block;
    padding-right: 5px;
}

.sidebar .widget-title {
	margin-bottom: 10px;
}

.socico {
	width: 34px;
    height: 34px;
    display: inline-block;
}

.socico:hover svg {
	fill: #000;
}

  
/* Highlight active form field */
      
#respond input[type=text], input[type=email], textarea {
  outline: none;
}
#respond input[type=text]:focus,
	input[type=email]:focus, 
	textarea:focus {
	box-shadow: 0 0 5px rgba(81, 203, 238, 1);
	border: 1px solid rgba(81, 203, 238, 1);
}


.comments-area .comment-form #author, .comments-area .comment-form #email {
    display: inline-block;
}

.comments-area .comment-form #author {margin-right: 5px;}

/* Style comment secton */
.comment-body .comment-content {
    border: 0;
    padding: 0px;
}


.comment-list .comment .children {
    margin-top: 0px;
}

.comment .comment-body {
    padding: 0;
    margin-top: 30px;
}

.comment-list .depth-1.parent>.children {
    border-bottom: 0;
    
}

.comment-list .bypostauthor > .comment-body {
    background: #2b2b2b;
    color: #fbfbfb;
    padding: 10px;
    margin-left: -10px;
}

.comment .comment-body .comment-meta {
    display: flex;
    flex-wrap: wrap-reverse;
    justify-content: space-between;
}

.bypostauthor > .comment-body .comment-meta:after{
    content: "Author's Comment";
    font-size: 150%;
	font-weight: bold;
    float: right;
    color: gold;
    padding-right: 10px;
}

.comment .bypostauthor > .comment-body blockquote {
    border-left: 5px solid #fbfbfb;
}

.comment .comment-body blockquote {
    padding: 0px 20px;
}

.comment .comment-author cite {
    font-size: 120%;
}

/* Media Queries */

/*features images on archives show on left */
@media (min-width: 481px) {
	img.wp-post-image {
	width: 200px;
	height: auto;
	float: left;
	margin: 10px 15px 5px 0px;
	}
}


@media (max-width: 600px){
	.wp-block-table table h3 {
		font-size: 20px;
	}	
}

@media (max-width: 480px) {
	.wp-block-table table h3 {
		font-size: 18px;
	}
	th, td {
		font-size: 12px;
		padding: 2px;
	}
}

@media (max-width: 380px) {
	.wp-block-table table h3 {
		font-size: 14px;
	}
	th, td {
		font-size: 10px;
	}
}

/* Sidebar on bottom for tablets */
@media(max-width: 990px) {
    .site-content {
        flex-direction: column;
    }
    .container .site-content .content-area, .right-sidebar #right-sidebar.sidebar {
        width: auto;
    }

	.inside-right-sidebar {
        display: flex;
		flex-wrap: wrap;
		justify-content: space-evenly;
    	align-items: center;
	}
    .inside-right-sidebar .widget {
        flex-basis: 300px;
		border-style: solid;
		border-radius: 20px;
    }
	.inside-right-sidebar .widget:last-child {
		margin-bottom: 20px;
	}
	
}

@media(max-width: 768px) {
	.widget-area .widget {
		padding: 30px;
	}
}

@media(min-width: 991px) {
    .content-area {
        width: calc(100% - 300px);
    }
}

.right-sidebar #right-sidebar {
	width: 300px;
}




